ring (20230206.0~ds2-1.1) unstable; urgency=medium

  * Upload to unstable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Wed, 01 Mar 2023 00:05:32 -0500

ring (20230206.0~ds2-1) experimental; urgency=medium

  * Always build without Qt WebEngine to ship with a uniform set of
    features across supported architectures.  The features currently
    requiring Qt WebEngine (link previews, emoji picker, preview of
    shared media for some formats, and location sharing) are *not*
    core features without which Jami's use would be substantially
    hindered, and most (if not all) of them could be implemented
    natively and without using Qt WebEngine.
    - debian/control: Drop Qt WebEngine from dependencies.
    - debian/copyright: Excluded web-related files.
    - debian/rules: Always build without Qt WebEngine.
    - debian/source/lintian-overrides: Remove unneeded overrides.
  * Use the right Debian Source (ds) number in orig tarball name.
    - debian/rules: Get ds from the latest changelog entry and use it
      instead of hardcoding '~ds1'.
  * Add patch to change two CMake variables into proper options.
    - debian/patches/1010-cmake-options.patch: Change
      WITH_DAEMON_SUBMODULE and WITH_WEBENGINE into proper options.
      Also, pass src/libclient/webresource.qrc to qt_add_executable
      only if WITH_WEBENGINE.
  * Use dh_auto_* tools for the client.  The stopgap sed workaround
    for building without Qt WebEngine is no longer necessary.  The
    issue was calling out to dh_auto_configure but without the right
    flags, which would then overwrite/interfere with the flags
    specified in the earlier manual call to cmake.
  * debian/jami.lintian-overrides: Drop vestigial file.  This was
    previously added likely because the jami package used to ship a
    libringclient.a static library for use by the client, but after an
    upstream refactoring merging the Jami libclient sources into
    jami-client-qt.git, that is no longer needed.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sun, 26 Feb 2023 01:08:53 -0500

ring (20230206.0~ds1-6) experimental; urgency=medium

  * debian/control: Add libqt6sql6-sqlite to jami's Depends, needed
    for importing existing Jami accounts with non-swarm conversations,
    as well as SIP accounts (Closes: #1031692).
    Also, taking over the maintenance of the package; many thanks,
    Alexandre!
  * Address several lintian errors and warnings:
    - debian/copyright: Drop vestigial entries for nonexistent files.
    - debian/rules: Remove usr/lib/pkgconfig/jami.pc, since we
      currently don't ship the Jami daemon as a library.
    - debian/source/lintian-overrides: Update.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Tue, 21 Feb 2023 01:08:33 -0500

ring (20230206.0~ds1-5) unstable; urgency=medium

  * debian/control: Add missing runtime dependencies of jami to its
    Depends (Closes: #1031170).
  * Acknowledge NMUs.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Wed, 15 Feb 2023 01:56:22 -0500

ring (20230206.0~ds1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing autopkgtest dependencies.

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Feb 2023 20:28:03 +0200

ring (20230206.0~ds1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run autopkgtest commands under xvfb-run.

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Feb 2023 13:20:49 +0200

ring (20230206.0~ds1-4) unstable; urgency=medium

  * debian/rules: Prepend '@' to the value given to 'touch --date',
    so that the argument is correctly treated as the number of seconds
    since the epoch.
  * Link atomic library on armel and mipsel to fix FTBFS there.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sat, 11 Feb 2023 01:15:05 -0500

ring (20230206.0~ds1-3) unstable; urgency=medium

  * debian/control: Add missing dependency on qt6-positioning-dev.
  * debian/rules: Add stopgap workaround to disable building with the
    Qt WebEngine on architectures it's missing from.  Also add a
    potential workaround for this dak error for the uploads:
    jami_20230206.0~ds1-2_amd64.deb: has 5 file(s) with a timestamp
    too far in the past: ... (Closes: #1030855)

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Fri, 10 Feb 2023 16:52:37 -0500

ring (20230206.0~ds1-2) unstable; urgency=medium

  * Build jami with Qt WebEngine only on supported architectures
    [amd64 arm64 armhf i386].
  * Switch patches to the 0000/1000/2000 naming convention.
    See debian/patches/README for more details.
  * debian/patches/2020-dont-build-msgpack.patch: Add patch to mark
    msgpack as found.  See the patch for more details.
  * debian/control: Bump the opendht dependency up to 2.4.12-5.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Wed, 08 Feb 2023 00:37:26 -0500

ring (20230206.0~ds1-1) unstable; urgency=medium

  [ Amin Bandali ]
  * New upstream version 20230206.0.
    (Closes: #984321, #1014998, #1008728, #1017005, #1018129)
    The following CVEs were fixed by the main pjproject upstream of
    jami, and included in jami's vendored version of pjproject:
    CVE-2021-32686 CVE-2021-37706 CVE-2022-21723 CVE-2022-23608
    CVE-2021-43299 CVE-2021-43300 CVE-2021-43301 CVE-2021-43302
    CVE-2021-43303 CVE-2021-43804 CVE-2021-43845 CVE-2022-21722
    CVE-2022-24754 CVE-2022-24763 CVE-2022-24764 CVE-2022-24793.
    The following CVEs were patched in jami's pjproject downstream of
    the main pjproject upstream:
    CVE-2022-23537 CVE-2022-23547 CVE-2022-31031 CVE-2022-39244
    CVE-2022-39269.
  * The 'jami' package now offers the Jami Qt client, as it has been
    the main and only actively developed Jami client on GNU/Linux.
    The C++ sources for the Qt client are in src/app/, libjamiclient
    (formerly libringclient or LRC) sources are in src/libclient/,
    and Jami daemon/library sources are under daemon/.
  * debian/control: Change libargon2-0-dev to libargon2-dev in
    Builds-Depends (Closes: #1005702).  Change libmsgpack-dev to
    libmsgpack-cxx-dev (Closes: #1019112).  Add new build dependency
    qml6-module-qtquick3d-spatialaudio to Build-Depends.  Also, drop
    remnants of old 'ring' transitional packages in 'Replaces' and
    'Breaks'.  Lastly, require opendht >= 2.4.12-4, because the recent
    versions with the static library are currently unusable by Jami
    due to an unforeseen side-effect of one of the dropped patches.
    This is remedied and no longer relevant with opendht >= 2.4.12-4
    which ships a shared library instead.
  * debian/copyright: Update Files-Excluded to correspond to what is
    currently included in upstream release tarballs, and sort them
    alphabetically.  Further, update all Files fields to reflect the
    directory structure change, namely Jami Qt client now being the
    top-level of the repository.
  * debian/rules: Reflect and adapt to the change of upstream release
    tarballs' root directory name and structure.
  * debian/watch: Use 'dversionmangle=auto' instead of hard-coding
    the Debian version pattern (see uscan(1)) and update the release
    tarball filename prefix from 'jami_' to 'jami-'.
  [ Petter Reinholdtsen ]
  * Switched to consistent debhelper 12 dependency.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Tue, 07 Feb 2023 02:31:49 -0500

ring (20210112.2.b757bac~ds1-2) unstable; urgency=medium

  [ Amin Bandali ]
  * d/control: Add myself to Uploaders

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Thu, 22 Dec 2022 22:49:32 +0100

ring (20210112.2.b757bac~ds1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * New upstream snapshot.
  * d/copyright: ignore ONNX Runtime.

  [ Thorsten Alteholz ]
  * CVE-2020-15260 (Closes: #986815)
    Adding remote hostname authentication when reusing transport
    connections to the same IP address.
  * CVE-2021-21375
    The embedded copy of pjproject is affected by this CVE.
    Due to bad handling of two consecutive crafted answers to an INVITE,
    the attacker is able to crash the server resulting in a denial of
    service.

  [ Amin Bandali ]
  * d/patches: add upstream patch for fixing SIP calls to zoom.
    (Closes: #980571)
  * d/patches: add patch for improving the appstream description.

  [ Bruno Kleinert ]
  * d/control: improve package description. (Closes: #979492)

 -- Alexandre Viau <aviau@debian.org>  Sun, 17 Jan 2021 16:39:58 -0500

ring (20210104.4.dda80df~ds1-1) unstable; urgency=medium

  * New upstream changelog.

 -- Alexandre Viau <aviau@debian.org>  Wed, 06 Jan 2021 11:51:21 -0500

ring (20201217.1.80217fa~ds1-2) unstable; urgency=medium

  [ Alexandre Viau ]
  * d/rules: remove transitional ring packages.
  * d/rules: Rules-Requires-Root: no.

  [ Amin Bandali ]
  * d/compat: bump debhelper compat level up to 10.
  * d/control: remove autotools-dev from Build-Depends (not needed as
    of debhelper >= 10).
  * d/rules: add --without autoreconf, needed as of debhelper >= 10.
  * d/control: bump Standards-Version up to 4.5.1.
  * d/copyright: update SFL's copyright years for some entries,
    update the Files path for several entries with moved or removed
    files, and add entry for client-gnome/jami-gnome.appdata.xml with
    License: CC-BY-SA-3.0 along with a copy of the license.
  * d/source/lintian-overrides: remove seemingly unused lintian
    source-is-missing override override.

 -- Alexandre Viau <aviau@debian.org>  Sun, 20 Dec 2020 15:47:25 -0500

ring (20201217.1.80217fa~ds1-1) unstable; urgency=medium

  * d/copyright: Exclude libarchive and opencv.
  * Refresh dont-build-gnutls.patch.
  * Refresh jsoncpp-rename.patch.
  * d/rules: --disable-libarchive + add dependency.

 -- Alexandre Viau <aviau@debian.org>  Sun, 20 Dec 2020 12:41:50 -0500

ring (20191214.1.07edb5e~ds1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * New upstream version. (Closes: #959510)
  * d/watch: ring.cx -> jami.net.
  * d/watch: expect jami_ prefix.
  * d/copyright: ignore new vendored libraries.
  * Remove deprecated namedirectory-old-restbed.patch.
  * Refresh dont-build-gnutls.patch.
  * Refresh jsoncpp-rename.patch.
  * d/rules: disable build for
        - asio
        - restinio
        - fmt
        - http_parser
  * d/control: depend on libfmt-dev.
  * d/control: depend on libhttp-parser-dev.
  * d/control: depend on libopendht-dev >= 2.1.1.
  * d/source: add lintian overrides for source-is-missing.

  [ Amin Bandali ]
  * Fix OpenDHT build. (Closes: #961837)
  * Fix FTBFS. (Closes: #957766)
  * d/rules: use clean in lrc Makefile.
  * Change ring.cx references to Jami.

  [ Petter Reinholdtsen ]
  * d/watch: Updated version and URL path based on patch from Amy Kos.

 -- Alexandre Viau <aviau@debian.org>  Tue, 13 Oct 2020 12:22:05 -0400

ring (20190215.1.f152c98~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.

 -- Alexandre Viau <aviau@debian.org>  Mon, 18 Feb 2019 22:46:25 -0500

ring (20190110.1.e572469~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Mon, 14 Jan 2019 10:23:11 -0500

ring (20190101.3.5315d84~ds1-2) unstable; urgency=medium

  * Remove unused libsrtp dependency. (Closes: 918543)

 -- Alexandre Viau <aviau@debian.org>  Mon, 14 Jan 2019 10:08:09 -0500

ring (20190101.3.5315d84~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Rename binary packages to jami. Upstream has not fully completed
    the transition yet and there are still things that use the Ring
    name. However, this is a step in the right direction.

 -- Alexandre Viau <aviau@debian.org>  Sat, 05 Jan 2019 21:53:29 -0500

ring (20181001.4.a99aaec~ds6-2) unstable; urgency=medium

  * Build with LFS. (Closes: #913186)

 -- Alexandre Viau <aviau@debian.org>  Thu, 08 Nov 2018 13:02:52 -0500

ring (20181001.4.a99aaec~ds6-1) unstable; urgency=medium

  * Exclude graddle jar.

 -- Alexandre Viau <aviau@debian.org>  Thu, 08 Nov 2018 11:55:47 -0500

ring (20181001.4.a99aaec~ds5-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Thu, 08 Nov 2018 11:46:08 -0500

ring (20180816.2.e26b79f~ds1-3) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Thu, 23 Aug 2018 19:43:53 -0400

ring (20180712.2.f3b87a6~ds1-2) unstable; urgency=medium

  * No longer depend on boost. (Closes: #904498)

 -- Alexandre Viau <aviau@debian.org>  Thu, 23 Aug 2018 16:08:06 -0400

ring (20180712.2.f3b87a6~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 17 Jul 2018 18:25:52 -0400

ring (20180625.1.8dd3bf1~ds1-1) unstable; urgency=medium

  * Document build requirements. (Closes: #896648)
  * d/rules: --disable-upnp.

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jun 2018 18:04:49 -0400

ring (20180419.1.01da897~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Switch to Ayatana AppIndicator. (Closes: #894651)

 -- Alexandre Viau <aviau@debian.org>  Thu, 19 Apr 2018 14:01:32 -0400

ring (20180414.2.2c51f89~ds1-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: ignore contrib/portable*
  * Build-Depend on libssl-dev.

 -- Alexandre Viau <aviau@debian.org>  Thu, 19 Apr 2018 10:55:00 -0400

ring (20180228.1.503da2b~ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Wed, 28 Feb 2018 12:19:23 -0500

ring (20180222.1.7bffde2~ds2-2) unstable; urgency=medium

  * Depend on libqt5sql5-sqlite (Closes: #891460)

 -- Alexandre Viau <aviau@debian.org>  Tue, 27 Feb 2018 01:43:36 -0500

ring (20180222.1.7bffde2~ds2-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: exclude vendored kashmir.
  * Exclude pjsip-apps from tarball.
  * Depend on opendht >= 1.6.0.
  * d/copyright: fix insecure-copyright-format-uri.
  * d/copyright: remove unused sections.

 -- Alexandre Viau <aviau@debian.org>  Tue, 27 Feb 2018 01:33:04 -0500

ring (20180119.1.9e06f94~ds1-3) unstable; urgency=medium

  * Cleanup d/changelog.
  * Build msgpack-c v2 API.

 -- Alexandre Viau <aviau@debian.org>  Thu, 01 Feb 2018 17:49:53 +0000

ring (20180119.1.9e06f94~ds1-2) unstable; urgency=medium

  * Build with gcc-7. (Closes: #853642)

 -- Alexandre Viau <aviau@debian.org>  Thu, 01 Feb 2018 01:00:59 -0500

ring (20180119.1.9e06f94~ds1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Don't depend on libwebkit2gtk-3.0-dev. (Closes: #871962)
  * Depend on libcanberra-gtk3-dev.
  * Move to libnm. (Closes: #862764)

 -- Alexandre Viau <aviau@debian.org>  Fri, 26 Jan 2018 10:28:47 -0500

ring (20171129.2.cf5bbff~ds1-2) unstable; urgency=medium

  * Move to salsa.debian.org

 -- Alexandre Viau <aviau@debian.org>  Thu, 28 Dec 2017 16:54:31 -0500

ring (20171129.2.cf5bbff~ds1-1) unstable; urgency=medium

  * New upstream release. (Closes: #882625)

 -- Alexandre Viau <aviau@debian.org>  Mon, 04 Dec 2017 23:40:21 -0500

ring (20171024.1.eadbdeb~ds1-2) unstable; urgency=medium

  * Update to OpenDHT 1.5.1. (Closes: #882625)

 -- Alexandre Viau <aviau@debian.org>  Sat, 25 Nov 2017 15:10:59 -0500

ring (20171024.1.eadbdeb~ds1-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: disable dbus-cpp and secp256k1.
  * d/rules: build-depend on libsecp256k1-dev.
  * d/control: priority extra -> optional.

 -- Alexandre Viau <aviau@debian.org>  Wed, 15 Nov 2017 21:22:02 -0500

ring (20170912.1.912f772~dfsg1-2) unstable; urgency=medium

  * Build using older msgpack-c API. (Closes: #866796)

 -- Alexandre Viau <aviau@debian.org>  Wed, 04 Oct 2017 15:57:45 -0400

ring (20170912.1.912f772~dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #873010)

 -- Alexandre Viau <aviau@debian.org>  Sat, 16 Sep 2017 15:27:06 -0400

ring (20170803.2.5fcfe3f~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Depend on libvdpau-dev
  * Use gcc-6

 -- Alexandre Viau <aviau@debian.org>  Fri, 04 Aug 2017 22:25:59 -0400

ring (20170720.2.5bf0a65~dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Alexandre Viau <aviau@debian.org>  Wed, 26 Jul 2017 17:34:22 -0400

ring (20170626.1.1335994~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright:
      exclude:
        - client-electron*
        - daemon/contrib/tarballs/argon2*
  * d/rules: --disable-gmp
  * d/rules: --disable-gnutls
  * Add dont-build-gnutls.patch
  * Bump Standards-Version to 4.0.0

 -- Alexandre Viau <aviau@debian.org>  Wed, 28 Jun 2017 01:16:21 -0400

ring (20170202.1.23df36f~dfsg2-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: exclude client-uwp/*
  * Remove triggers which were autogenerated
  * Depend on libopendht-dev >= 1.3.3

 -- Alexandre Viau <aviau@debian.org>  Thu, 02 Feb 2017 13:50:40 -0500

ring (20161221.2.7bd7d91~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot

 -- Alexandre Viau <aviau@debian.org>  Sun, 25 Dec 2016 23:42:25 -0500

ring (20161207.2.7a29ace~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: remove jquery section

 -- Alexandre Viau <aviau@debian.org>  Thu, 08 Dec 2016 12:16:02 -0500

ring (20161116.1.e59aaa5~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot
  * No longer leak system user by default (Closes: #843645)

 -- Alexandre Viau <aviau@debian.org>  Mon, 21 Nov 2016 14:14:10 -0500

ring (20161107.1.0ac5fac~dfsg1-1) unstable; urgency=high

  * Urgency high because no Beta2 version has hit testing yet.
  * New upstream version.
  * Build with opendht-dev only.

 -- Alexandre Viau <aviau@debian.org>  Tue, 08 Nov 2016 10:49:03 -0500

ring (20161104.4.17a0616~dfsg1-2) unstable; urgency=high

  * Fixed lintian override

 -- Alexandre Viau <aviau@debian.org>  Sat, 05 Nov 2016 00:34:01 -0400

ring (20161104.4.17a0616~dfsg1-1) unstable; urgency=high

  * New upstream snapshot
  * Depend on libopendht-dev (>= 1.2.1~dfsg1-3)
  * Remove unneeded opendht-libs.patch
  * Parallelize contrib build
  * high urgency because of Beta2 release, which breaks backwards
    compatibility

 -- Alexandre Viau <aviau@debian.org>  Fri, 04 Nov 2016 16:51:58 -0400

ring (20161103.1.60700d3~dfsg1-1) unstable; urgency=medium

  * d/copyright: exclude opendht
  * d/copyright: mention ringdht files
  * Daemon configure: disable many packages
  * Add dependencies:
      - librestbed-dev
      - libva-dev
      - libwebkit2gtk-4.0-dev
      - libopendht-dev
      - libasio-dev
      - libcrypto++-dev
      - libboost-system-dev
      - libboost-random-dev
      - opendht dependencies...
  * Refresh jsoncpp-rename.patch
  * d/copyright:
      - remove opendht section
      - mention new web files

 -- Alexandre Viau <aviau@debian.org>  Thu, 03 Nov 2016 23:20:47 -0400

ring (20160901.1.204c604~dfsg2-2) unstable; urgency=medium

  * Daemon configure: -DGSETTINGS_LOCALCOMPILE=OFF

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Sep 2016 14:21:10 -0400

ring (20160901.1.204c604~dfsg2-1) unstable; urgency=medium

  * Remove msgpack from the tarball
  * Added libmsgpack-dev dependency (>= 1.4.2)
  * d/copyright: Exclude restbed

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Sep 2016 11:41:47 -0400

ring (20160818.1.eb4fbc8~dfsg1-2) unstable; urgency=medium

  * d/rules: Check for Makefile before distclean (Closes: #833926)

 -- Alexandre Viau <aviau@debian.org>  Mon, 22 Aug 2016 11:40:25 -0400

ring (20160818.1.eb4fbc8~dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Daemon contrib:
      --disable-natpmp
  * Daemon configure:
      --disable-shared

 -- Alexandre Viau <aviau@debian.org>  Mon, 22 Aug 2016 09:15:05 -0400

ring (20160804.3.dfb2548~dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Removed obsolete fix-sdesnegotiator-negotiate.patch.

 -- Alexandre Viau <aviau@debian.org>  Wed, 10 Aug 2016 10:34:13 -0400

ring (20160729.2.7a7dbd6~dfsg1-2) unstable; urgency=high

  * Don't remove dring from /usr/lib

 -- Alexandre Viau <aviau@debian.org>  Fri, 05 Aug 2016 09:52:23 -0400

ring (20160729.2.7a7dbd6~dfsg1-1) unstable; urgency=high

  * d/rules: bootstrap: use --no-checksums.
  * Remove deprecated dring-usr-bin.patch.
  * Backport Gerrit I0ef022486e00b5fef91d2552b83d57463282a683:
     - sdes: fix SdesNegotiator::negotiate()

 -- Alexandre Viau <aviau@debian.org>  Wed, 27 Jul 2016 16:03:24 -0400

ring (20160726.1.da5343f~dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Removed unused dependencies:
    - libticonv-dev
    - chrpath
    - git-core
  * Re-order dependencies.
  * Stop using deprecated configure options.
  * Depend on libnm-glib-dev.
  * Remove check-for-gsm.patch, replaced by confiure option.

 -- Alexandre Viau <aviau@debian.org>  Fri, 22 Jul 2016 12:00:44 -0400

ring (20160720.3.73cfbb9~dfsg1-5) unstable; urgency=medium

  * Move dring to /usr/bin. (Closes: #831978)

 -- Alexandre Viau <aviau@debian.org>  Wed, 20 Jul 2016 19:05:07 -0400

ring (20160720.3.73cfbb9~dfsg1-4) unstable; urgency=medium

  * d/rules: build contrib with V=1

 -- Alexandre Viau <aviau@debian.org>  Wed, 20 Jul 2016 18:12:57 -0400

ring (20160720.3.73cfbb9~dfsg1-3) unstable; urgency=medium

  * Implement Petter Reinholdtsen's feedback:
   - d/rules: build with V=1
   - d/rules: 'cd dir && make' -> 'make -C dir'

 -- Alexandre Viau <aviau@debian.org>  Wed, 20 Jul 2016 17:40:19 -0400

ring (20160720.3.73cfbb9~dfsg1-2) unstable; urgency=medium

  * Build Dependencies: libappindicator-dev -> libappindicator3-dev

 -- Alexandre Viau <aviau@debian.org>  Wed, 20 Jul 2016 15:31:06 -0400

ring (20160720.3.73cfbb9~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot:
     - Closes: #831339
  * Build Dependencies:
     - re-organize order
     - +libappindicator-dev
  * Build lrc with debug symbols.
  * README.Debian: updated tarballs location url.
  * d/rules: pass --disable-downloads to bootstrap script.

 -- Alexandre Viau <aviau@debian.org>  Wed, 20 Jul 2016 12:59:19 -0400

ring (20160712.1.66bea8b~dfsg1-1) unstable; urgency=medium

  * d/watch: gpl.savoirfairelinux.net -> dl.ring.cx.
  * remove deprecated use-debian-gnutls.patch.
  * depend on libgnutls28-dev (>= 3.4.14).
  * d/coptright: exclude client-ios.
  * d/copyright: exclude libnatpmp.
  * build depend on libnatpmp-dev.
  * create use-debian-pmp.patch.

 -- Alexandre Viau <aviau@debian.org>  Fri, 01 Jul 2016 19:06:06 +0200

ring (20160630.3.52c5ef6~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Fri, 01 Jul 2016 13:15:29 +0200

ring (20160630.2.b3d131f~dfsg1-2) unstable; urgency=medium

  * Create ring-daemon package.

 -- Alexandre Viau <aviau@debian.org>  Fri, 01 Jul 2016 00:09:22 +0200

ring (20160630.2.b3d131f~dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Remove .sum-iax.
  * d/copyright: reflect changes in msgpack.
  * Add patch to use Debian's GnuTLS.
  * Don't parallelize contrib build.
  * d/rules: remove ring -> ring.cx.
  * d/copyright: updated OpenDHT's ax_cxx_compile_stdcxx.m4
    section

 -- Alexandre Viau <aviau@debian.org>  Thu, 30 Jun 2016 19:09:51 +0200

ring (20160422.1.3c07c8e~dfsg2-1) unstable; urgency=medium

  * Remove libiax due to copyright issues

 -- Alexandre Viau <aviau@debian.org>  Thu, 30 Jun 2016 14:44:15 +0200

ring (20160422.1.3c07c8e~dfsg1-4) unstable; urgency=medium

  * Fix maintscript-calls-ldconfig lintian warning.
  * Bump Standards-Version to 3.9.8.

 -- Alexandre Viau <aviau@debian.org>  Tue, 28 Jun 2016 00:08:01 +0200

ring (20160422.1.3c07c8e~dfsg1-3) unstable; urgency=medium

  * Added mising argon2 copyright section
  * README.Debian: don't mention libgsm
  * d/copyright: mention April2016 pjsip thread

 -- Alexandre Viau <aviau@debian.org>  Mon, 27 Jun 2016 22:54:48 +0200

ring (20160422.1.3c07c8e~dfsg1-2) unstable; urgency=medium

  * Removed ring binary (conflicts with alliance package)
  * Removed empty cmake directory

 -- Alexandre Viau <aviau@debian.org>  Sat, 23 Apr 2016 21:31:24 -0400

ring (20160422.1.3c07c8e~dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #816707)

 -- Alexandre Viau <aviau@debian.org>  Fri, 04 Mar 2016 13:16:17 -0500
